curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/webhook-logs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"source": null,
"event": null,
"invoice_id": null,
"invoice_item_id": null,
"success": null,
"response_status": null,
"error_type": null,
"url": null,
"response_body": null,
"created_at_start": null,
"created_at_end": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/webhook-logs"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"source": None,
"event": None,
"invoice_id": None,
"invoice_item_id": None,
"success": None,
"response_status": None,
"error_type": None,
"url": None,
"response_body": None,
"created_at_start": None,
"created_at_end": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
source: null,
event: null,
invoice_id: null,
invoice_item_id: null,
success: null,
response_status: null,
error_type: null,
url: null,
response_body: null,
created_at_start: null,
created_at_end: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/webhook-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"shop_id": 1,
"source": "notification",
"event": "NOTIFICATION.SHOP_INVOICE_PROCESSED",
"invoice_id": 1,
"invoice_item_id": null,
"url": "https://example.com/webhook",
"request_headers": null,
"request_body": {
"data": {
"invoice_id": 1
},
"event": "NOTIFICATION.SHOP_INVOICE_PROCESSED",
"shop_id": 1
},
"response_status": 200,
"response_body": "OK",
"success": true,
"error_type": null,
"error_message": null,
"duration_ms": 120,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z"
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/webhook-logs?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/webhook-logs?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/webhook-logs?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/webhook-logs",
"per_page": 20,
"prev_page_url": null,
"to": 1,
"total": 1
}Get Webhook Logs
Retrieves outgoing webhook and dynamic-delivery request logs for debugging.
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
Page number.
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
null
id, created_at, response_status, duration_ms null
asc, desc null
notification, dynamic_delivery null
Filter by event name.
null
Filter by invoice ID or unique ID.
null
Filter by invoice item ID.
null
Only successful or failed deliveries.
null
Filter by HTTP response status.
null
null
Search by URL.
null
Search in response bodies.
null
Must be a valid date.
null
Must be a valid date. Must be a date after created_at_start.
null
Response
1
Show child attributes
Show child attributes
[
{
"id": 1,
"shop_id": 1,
"source": "notification",
"event": "NOTIFICATION.SHOP_INVOICE_PROCESSED",
"invoice_id": 1,
"invoice_item_id": null,
"url": "https://example.com/webhook",
"request_headers": null,
"request_body": {
"data": { "invoice_id": 1 },
"event": "NOTIFICATION.SHOP_INVOICE_PROCESSED",
"shop_id": 1
},
"response_status": 200,
"response_body": "OK",
"success": true,
"error_type": null,
"error_message": null,
"duration_ms": 120,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z"
}
]
"http://api.sellauth.test/v1/shops/1/webhook-logs?page=1"
1
1
"http://api.sellauth.test/v1/shops/1/webhook-logs?page=1"
Show child attributes
Show child attributes
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/webhook-logs?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
null
"http://api.sellauth.test/v1/shops/1/webhook-logs"
20
null
1
1